# InvertedTunnelBase | SDF-2D - v0.6.0
Documentation for SDF-2D - v0.6.0

### Hierarchy

- EmptyDrawable
  - InvertedTunnelBase

## Index

### Constructors

- constructor

### Properties

- from
- fromRadius
- to
- toRadius
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new InvertedTunnelBase(from: vec2, to: vec2, fromRadius: number, toRadius: number): InvertedTunnelBase

- - Defined in drawables/shapes/inverted-tunnel-factory.ts:11

  #### Parameters

  - ##### from: vec2

  - ##### to: vec2

  - ##### fromRadius: number

  - ##### toRadius: number

  #### Returns InvertedTunnelBase

## Properties

### Readonly from

from: vec2

- Defined in drawables/shapes/inverted-tunnel-factory.ts:13

### Readonly fromRadius

fromRadius: number

- Defined in drawables/shapes/inverted-tunnel-factory.ts:15

### Readonly to

to: vec2

- Defined in drawables/shapes/inverted-tunnel-factory.ts:14

### Readonly toRadius

toRadius: number

- Defined in drawables/shapes/inverted-tunnel-factory.ts:16

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

- Defined in drawables/empty-drawable.ts:9

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/empty-drawable.ts:15

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/empty-drawable.ts:11

  #### Parameters

  - ##### target: vec2

  #### Returns number